#ifndef _TL_SPI_LCD_DRV
#define _TL_SPI_LCD_DRV

#include "stm32f4xx.h"
#include "SysTick.h"
#include "SPI1_Dev.h"

#define LCD_CE GPIO_Pin_2 //PA
#define LCD_DC GPIO_Pin_3 //PA

void LCD_IO_Init(void);
void LCD_WriteReg(uint8_t Data);
void LCD_WriteData(uint8_t Data);
void LCD_ReadID(uint8_t *pBuffer);
void LCD_Init(void);

void LCD_Init(void);
void LCD_Set_Addr(uint16_t xs, uint16_t ys, uint16_t xe, uint16_t ye);
void LCD_Clear(uint16_t color);
void LCD_DrawPoint(uint16_t x, uint16_t y, uint16_t color);
void LCD_Fill(uint16_t xsta, uint16_t ysta, uint16_t xend, uint16_t yend, uint16_t color);
void LCD_DrawLine(uint16_t x1, uint16_t y1, uint16_t x2, uint16_t y2, uint16_t color);
void LCD_DrawRectangle(uint16_t x1, uint16_t y1, uint16_t x2, uint16_t y2, uint16_t color);
void LCD_Draw_Circle(uint16_t x0, uint16_t y0, uint8_t r, uint16_t color);
void LCD_ShowChar(uint16_t x, uint16_t y, uint8_t num, uint8_t size, uint8_t mode, uint16_t point, uint16_t back);
void LCD_ShowNum(uint16_t x, uint16_t y, uint32_t num, uint8_t len, uint8_t size, uint16_t point, uint16_t back);
void LCD_ShowString(uint16_t x, uint16_t y, uint16_t width, uint16_t height, uint8_t size, uint8_t *p, uint16_t point, uint16_t back);
#endif
